# 0.4.2

## Fixed

- User input for ``-d`` is now validated and default "./avatars/" provided
- Avatars no longer get linked if they're not downloaded
- Assets are now copied to the working directory if they exist in scripts location so you can actually use from somewhere else and
  not polute scripts dir
- Everything regarding usage from other directories should be working
- Missing default avatar no longer crashes but exits with error
- Default assets are properly copied into target dir

## Problems

- Specifiing deeper directory structure (``-o ./Example/example.html -d ./Example/avatars/``) is broken and will require
  significant remake so for now, the best thing to work around this, is to run the script from another directory (./Example/ in
  provided example)

# 0.4.1

## Added, working, removed

- Refactoring
- Documentation has been updated and slightly shortened
- Updated Usage
- Fixed bug where avatars would not download when only reference was in reply
- Fixed bad alignment when one avatar from replies is missing (but missing things should not happen anymore)
- Removed bunch of options no one would probably ever use, mostly around comment paging

## Problems

- when you give ``-d `` dir without / in the end, it will fuck up export path in html comment page
- Avatars will get linked even if no one asked by ``-d`` when paging
- The assets are not linked when running from different dir that one script is in
- Running overall from diffrerent dir is completely broken

# 0.4.0

## Added, working

- Avatar downloading works with (currently harcoded) option for default avatar
- No duplicates = you can resume your work if you ctrl+c in the middle of download
- Avatar downloading has progress bar, static delay and rough time to completition estimation
- Avatars are displayed acceptably
- Included default avatar from thisponydoesnotexist.net if original would be 404

## Problems

- There may still be some problems when trying to save avatars to non existent directory
- The time to complete is __very__ rough, it count's just time needed if files are downloaded instantly so the resulting real time
  may be even twice as long compared to estimated but that has low priority now
- It takes long to download all avatars because of static delay, eventually it should be remade to something more dynamic that can
  push it a bit faster at times.
- There is no progress info of reply-avatar download, should be easy to implement, but that's low priority now
- I'm not really happy with the looks (paddings and margins) but I'm not touching it anymore to not make it worse

# 0.3.1

## Bugfixes

- Fixed broken link to channel from username because of ``<iframe>``

# 0.3.0

## Added, working

- Clicking on reply no longer marks entire reply tree
- Paging using iframe has been implemented
- Removed <!DOCTYPE html> declaration because it was breaking things
- Started writing some in-code documentation and making shorter lines for better readability, goal is to make docs exportable
- Started doing changelog
- Added #! shebang so you don't have to type python3 in the begging

## Known issues, bugs

- There are two scrolbars as I have no idea how to set the sizes properly
- There is not enough padding between the "marked" root comment and it's replies
- We can't use the <!DOCTYPE html> declaration because then there is now way to force comment iframe to maximize
